import { defineStore } from 'pinia'
import { ref } from 'vue'

export interface ChartState {
  symbol: string
  start_time: number | null
  end_time: number | null
  interval: string
  selected_shapes: string[]
}

export const useChartStore = defineStore('ChartStore', () => {
  const chart_state = ref<ChartState>({
    symbol: 'BINANCE:BTC/USDT',
    start_time: null,
    end_time: null,
    interval: '15',
    selected_shapes: []
  })

  return { chart_state }
})
